<?php

require_once "config.php";

class DB
{

	private $mysqli;
	private $stmt;

	public function __construct()
	{

		$this->mysqli = new mysqli(HOST, USERNAME, PASSWORD, DB);
		if ($this->mysqli->connect_error) {
			echo "مطمئن شوید که اطلاعات پایگاه داده را به درستی وارد کرده باشید <br>";
			die("MYSQL ISSUE : " . $this->mysqli->connect_error);
		}

		$this->mysqli->set_charset("utf8");
		$this->stmt = $this->mysqli->stmt_init();
	}

	public function __destruct()
	{
		@$this->stmt->close();
		$this->mysqli->close();
	}

	public function row_exist($data)
	{
		$query = "SELECT * FROM `{$data['table']}` WHERE {$data['content']}";
		$is_found = false;

		$this->stmt->prepare($query);

		$this->stmt->bind_param($data['types'], ...$data['values']);

		if ($this->stmt->execute() && $this->stmt->store_result()) {
			$is_found = $this->stmt->affected_rows;
			$this->stmt->free_result();
		}

		return $is_found;
	}

	public function row_insert($data){
		$query = "INSERT INTO `{$data['table']}` {$data['content']}";

        $inserted_id = 0;
        $this->stmt->prepare($query);
        $this->stmt->bind_param($data['types'], ...$data['values']);

        if ($this->stmt->execute())
            $inserted_id = $this->stmt->affected_rows ? $this->stmt->insert_id : 0;

        return $inserted_id;
	}

	public function row_select($data){
		$query = "SELECT * FROM `{$data['table']}` WHERE {$data['content']}";
		
        $rows = [];

		$this->stmt->prepare($query);
		$this->stmt->bind_param($data['types'], ...$data['values']);

        if ($this->stmt->execute() && $res = $this->stmt->get_result()){
            if ($this->stmt->affected_rows || $res->num_rows)
                while ($row = $res->fetch_assoc())
                    $rows[] = $row;
        }

        return $rows;
	}

	public function row_update($data){

        $query = "UPDATE `{$data['table']}` SET {$data['content']}";

        $rows_updated = 0;
		$this->stmt->prepare($query);
		$this->stmt->bind_param($data['types'], ...$data['values']);

      
        if ($this->stmt->execute())
            $rows_updated = $this->stmt->affected_rows ? $this->stmt->affected_rows : 1;

        return $rows_updated;
	}

	public function row_delete($data){
       
        $query = "DELETE FROM `{$data['table']}` WHERE {$data['content']}";

        $rows_deleted = 0;

        $this->stmt->prepare($query);
        $this->stmt->bind_param($data['types'], ...$data['values']);

        if ($this->stmt->execute())
            $rows_deleted = $this->stmt->affected_rows;

        return $rows_deleted;
    }

	

}
