<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RapidCode.IR - سیستم نظر دهی</title>
    <style>
        body {
        text-align: center;
        overflow-x: hidden;
    }

    #introduce {
        color: white;
        text-decoration: none;
        font-weight: bold;
        display: block;
        width: 100%;
        padding: 5px 10px;
        background-color: #4CAF50;
        text-align: center;
        font-size: 25px;
        margin-bottom: 45px;
    }

    .ds-none{
        display: none;
    }

    .container{
        width: 70%;
        margin: 15px auto;
    }

    #the-content{
        border:2px solid lightblue;
        color: black;
        direction: rtl;
        border-radius: 4px;
        margin: 15px auto;
        padding: 15px;
    }

    /* Comment Form */

    .comment-wrapper h3{
        background-color: #03A9F4;
        color: white;
        padding: 15px;
        display: inline-block;
        width: 400px;
        border-radius: 2px;
        border-bottom: 2px solid black;
        margin-bottom: 20px;
    }

    .inp-cls{
        border: 3px solid lime;
        color: black;
        outline: none;
        border-radius: 2px;
        padding: 5px;
        display: block;
        margin-bottom: 5px;
        width: 80%;
        margin-right: 10%;
        height: 32px;
        font-size: medium;
    }

    #cmt-form{
        direction: rtl;
        width: 70%;
        margin-left: 15%;
    }

    #cmt-email{
        direction: ltr;
        text-align: left;
    }

    #cmt-content{
        height: 120px;
        font-size: large;
    }

    #cmt-submit{
        width: 40%;
        margin-right: 30%;
        cursor: pointer;
    }

    #cmt-submit:hover{
        background-color: lime;
    }

    /* Comment List */

    .comment-user{
        width: 50%;
        margin-left: 25%;
        margin-bottom: 30px;
        border: 3px solid #FF9800;
        padding: 10px;
        border-radius: 8px;
    }

    .comment-user #comment-user-fullname{
        font-weight: bold;
        border-bottom: 2px solid #4CAF50;
        padding-bottom: 5px;
    }

    .comment-user #comment-user-content{
        text-align: right;
        line-height: 2;
        direction: rtl;
    }

    /* Modal Style */
    
    .modal{
        width: 70%;
        position: fixed;
        left: 15%;
        bottom: 25px;
        opacity: 0.95;
        z-index: 5;
        background-color: #ccc;
        color: white;
        font-weight: bold;
        font-size: 30px;
        padding: 100px 0;
    }

    .modal.warning{
        background-color: red;
    }

    .modal.success{
        background-color: #4CAF50;
    }


    </style>
</head>


<?php 
require_once "inc/class-DB.php";
$db = new DB();
?>


<body>
    <a id="introduce" target="_blank" href="https://rapidcode.ir">رپید کد - کتابخانه مجازی برنامه نویسان</a>

    <section class="modal ds-none"></section>

    <div class="container">
        <article id="the-content">
            <img width="250" src="https://rapidcode.ir/wp-content/uploads/2020/04/online-quiz.png" alt="">
            <h1>عنوان مقاله</h1>
            <p>1- index.php که شامل فرم ، کد های js به صورت Inline است که فرم را کنترل می کند
                2- quiz-data.json که به جای پایگاه داده استفاده می شود برای راحتی کار اما شدیدا توصیه میشود از پایگاه داده برای پروژه</p>
        </article>
        <section class="comment-wrapper">
            <section class="comment-form">
                <h3>ارسال نظر</h3>
                <form id="cmt-form" method="POST" action="comment.php">
                    <input class="inp-cls" type="text" name="cmt-name" id="cmt-name" placeholder="نام">
                    <input class="inp-cls" type="email" name="cmt-email" id="cmt-email" placeholder="EMAIL">
                    <textarea class="inp-cls" name="cmt-content" id="cmt-content" placeholder="نظر شما"></textarea>
                    <input type="hidden" name="cmt-post-id" id="cmt-post-id" value="<?php echo POST_ID ?>">
                    <input class="inp-cls" type="button" id="cmt-submit" onclick="submitFormHandler(event)" value="ثبت نظر">
                </form>
            </section>

            <section class="comment-list">
                
                <h3>نظرات</h3>

                <?php 
                $comment_list = $db->row_select([

                    "table" => "comment",
                    "content" => "`post_id`=? AND `approved`=? ORDER BY `id` ASC",
                    "types" => 'ii',
                    "values" => [POST_ID , 1]

                ]);

                $comment_counter = 0;

                foreach($comment_list as $comment):
                    $comment_counter++;
                ?>

                <div class="comment-user" id="comment-<?php echo $comment_counter ?>">
                    <span id="comment-user-fullname"><?php echo $comment['fullname'] ?></span>
                    <p id="comment-user-content"><?php echo $comment['comment'] ?></p>
                </div>


                <?php endforeach; ?>

            </section>
            
        </section>
    </div>
    <script src="app.js"></script>
</body>

</html>