<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RapidCode.IR - سیستم نظر دهی</title>
    <style>
        body {
        text-align: center;
        overflow-x: hidden;
    }

    #introduce {
        color: white;
        text-decoration: none;
        font-weight: bold;
        display: block;
        width: 100%;
        padding: 5px 10px;
        background-color: #4CAF50;
        text-align: center;
        font-size: 25px;
        margin-bottom: 45px;
    }

    .ds-none{
        display: none;
    }

    .container{
        width: 70%;
        margin: 15px auto;
    }

    table{
    	width: 80%;
    	margin-left: 10%;
    	border-collapse: collapse;
    }

    table td , table th{
		border: 1px solid;
    }

    table td .action{
    	border:none;
    	font-size: medium;
    	font-weight: bold;
    	padding: 5px 15px;
    	cursor: pointer;
    	outline: none;
    }

    table td .action#approve{
		background-color: greenyellow;
    }

    table td .action#delete{
    	background-color: tomato;
    }


    </style>
</head>


<?php
require_once "inc/class-DB.php";
$db = new DB();

if (!empty($_GET['comment-id']) && !empty($_GET['action'])) {

	$comment_id = $_GET['comment-id'];

	if (strtolower($_GET['action']) == "delete") {
		$res = $db->row_delete([

			"table" => "comment",
			"content" => "`id`=? AND `approved`=?",
			"types" => 'ii',
			"values" => [$comment_id, 0],

		]);
	} else if (strtolower($_GET['action']) == "approve") {

		$res = $db->row_update([

			"table" => "comment",
			"content" => "`approved`=? WHERE `id`=?",
			"types" => 'ii',
			"values" => [1 , $comment_id],

		]);

	}

}

?>


<body>
    <a id="introduce" target="_blank" href="https://rapidcode.ir">رپید کد - کتابخانه مجازی برنامه نویسان</a>

    <div class="container">

		<table>
			<thead>
				<tr>
					<th>نام</th>
					<th>نظر</th>
					<th>اعمال</th>
				</tr>
			</thead>

			<tbody>

				<?php

$comment_list = $db->row_select([

	"table" => "comment",
	"content" => "`post_id`=? AND `approved`=? ORDER BY `id` ASC",
	"types" => 'ii',
	"values" => [POST_ID, 0],

]);

foreach ($comment_list as $comment):

?>

               <tr>
					<td><?php echo $comment['fullname'] ?></td>
					<td><?php echo $comment['comment'] ?></td>
					<td>
						<button data-comment-id="<?php echo $comment['id'] ?>" data-action="approve" class="action" id="approve" onclick="actionFormHandler(event)">تایید</button>
						<button data-comment-id="<?php echo $comment['id'] ?>" data-action="delete" class="action" id="delete" onclick="actionFormHandler(event)">حذف</button>
					</td>
				</tr>


                <?php endforeach;?>


			</tbody>
		</table>

		<form id="form-action" action="" method="get">
			<input type="hidden" id="action" name="action" value="">
			<input type="hidden" id="comment-id" name="comment-id" value="" >
		</form>

    </div>


    <script src="app.js"></script>
</body>

</html>